org.apache.uima.util

## Class XmlCasDeserializer

- java.lang.Object
- - org.apache.uima.util.XmlCasDeserializer

-     public abstract class XmlCasDeserializer
      extends Object

  Deserializes a CAS from a standoff-XML format. This class can read the XMI format introduced in UIMA v1.4 as well as the XCAS format from previous versions. This class is abstract, because it only has static methods and should never be instantiated

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlCasDeserializer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `deserialize(InputStream aStream, CAS aCAS)` Deserializes a CAS from a standoff-XML format.
    `static void` | `deserialize(InputStream aStream, CAS aCAS, boolean aLenient)` Deserializes a CAS from XMI or XCAS.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlCasDeserializer

          public XmlCasDeserializer()

  - ### Method Detail

    - #### deserialize

          public static void deserialize(InputStream aStream,
                                         CAS aCAS)
                                  throws SAXException,
                                         IOException

      Deserializes a CAS from a standoff-XML format.
      Parameters:
        `aStream` - input stream from which to read the XML document
        `aCAS` - CAS into which to deserialize. This CAS must be set up with a type system that is compatible with that in the XML.
      Throws:
        `SAXException` - if an XML Parsing error occurs
        `IOException` - if an I/O failure occurs

    - #### deserialize

          public static void deserialize(InputStream aStream,
                                         CAS aCAS,
                                         boolean aLenient)
                                  throws SAXException,
                                         IOException

      Deserializes a CAS from XMI or XCAS.
      Parameters:
        `aStream` - input stream from which to read the XML document
        `aCAS` - CAS into which to deserialize. This CAS must be set up with a type system that is compatible with that in the XML
        `aLenient` - if true, unknown Types will be ignored. If false, unknown Types will cause an exception. The default is false.
      Throws:
        `SAXException` - if an XML Parsing error occurs
        `IOException` - if an I/O failure occurs

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.